Package ch.qos.logback.core.util

## Class StringCollectionUtil

- java.lang.Object
- - ch.qos.logback.core.util.StringCollectionUtil

    public class StringCollectionUtil
    extends java.lang.Object

Static utility methods for working with collections of strings.

Author:
  Carl Harris

### Constructor Summary

Constructors
`StringCollectionUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `removeMatching​(java.util.Collection<java.lang.String> values, java.lang.String... patterns)` Removes all values in the subject collection that are matched by at least one of a collection of regular expressions.
`static void` `removeMatching​(java.util.Collection<java.lang.String> values, java.util.Collection<java.lang.String> patterns)` Removes all values in the subject collection that are matched by at least one of a collection of regular expressions.
`static void` `retainMatching​(java.util.Collection<java.lang.String> values, java.lang.String... patterns)` Retains all values in the subject collection that are matched by at least one of a collection of regular expressions.
`static void` `retainMatching​(java.util.Collection<java.lang.String> values, java.util.Collection<java.lang.String> patterns)` Retains all values in the subject collection that are matched by at least one of a collection of regular expressions.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringCollectionUtil

    public StringCollectionUtil()

### Method Detail

#### retainMatching

    public static void retainMatching​(java.util.Collection<java.lang.String> values,
                                      java.lang.String... patterns)

Retains all values in the subject collection that are matched by at least one of a collection of regular expressions.

This method is a convenience overload for `retainMatching(Collection, Collection)`.

Parameters:
  `values` - subject value collection
  `patterns` - patterns to match

#### retainMatching

    public static void retainMatching​(java.util.Collection<java.lang.String> values,
                                      java.util.Collection<java.lang.String> patterns)

Retains all values in the subject collection that are matched by at least one of a collection of regular expressions.

The semantics of this method are conceptually similar to `Collection.retainAll(Collection)`, but uses pattern matching instead of exact matching.

Parameters:
  `values` - subject value collection
  `patterns` - patterns to match

#### removeMatching

    public static void removeMatching​(java.util.Collection<java.lang.String> values,
                                      java.lang.String... patterns)

Removes all values in the subject collection that are matched by at least one of a collection of regular expressions.

This method is a convenience overload for `removeMatching(Collection, Collection)`.

Parameters:
  `values` - subject value collection
  `patterns` - patterns to match

#### removeMatching

    public static void removeMatching​(java.util.Collection<java.lang.String> values,
                                      java.util.Collection<java.lang.String> patterns)

Removes all values in the subject collection that are matched by at least one of a collection of regular expressions.

The semantics of this method are conceptually similar to `Collection.removeAll(Collection)`, but uses pattern matching instead of exact matching.

Parameters:
  `values` - subject value collection
  `patterns` - patterns to match